# Dockerfile used by OSBS and by prow CI.
FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202007061006.p0 BUILD_VERSION=v4.3.29 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=29 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.29-202007061006.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=841b0bf OS_GIT_VERSION=4.3.29-202007061006.p0-841b0bf SOURCE_DATE_EPOCH=1567008320 SOURCE_GIT_COMMIT=841b0bfe743999fcc9b0528ea689f728eb92aee7 SOURCE_GIT_TAG=v0.2.2-40-g841b0bf SOURCE_GIT_URL=https://github.com/openshift/configmap-reload 
WORKDIR /go/src/github.com/jimmidyson/configmap-reload
COPY . .
ENV GOFLAGS="-mod=vendor"
RUN make out/configmap-reload

FROM openshift/ose-base:v4.3.29.20200706.100631
ENV __doozer=update BUILD_RELEASE=202007061006.p0 BUILD_VERSION=v4.3.29 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=29 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.29-202007061006.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=841b0bf OS_GIT_VERSION=4.3.29-202007061006.p0-841b0bf SOURCE_DATE_EPOCH=1567008320 SOURCE_GIT_COMMIT=841b0bfe743999fcc9b0528ea689f728eb92aee7 SOURCE_GIT_TAG=v0.2.2-40-g841b0bf SOURCE_GIT_URL=https://github.com/openshift/configmap-reload 

ARG FROM_DIRECTORY=/go/src/github.com/jimmidyson/configmap-reload
COPY --from=builder ${FROM_DIRECTORY}/out/configmap-reload  /usr/bin/configmap-reload

USER nobody

ENTRYPOINT ["/usr/bin/configmap-reload"]

LABEL \
        io.k8s.display-name="configmap reload" \
        io.k8s.description="This is a component reloads another process if a configured configmap volume is remounted." \
        io.openshift.tags="kubernetes" \
        maintainer="Frederic Branczyk <fbranczy@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-configmap-reloader" \
        com.redhat.component="configmap-reload-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202007061006.p0" \
        io.openshift.build.commit.id="841b0bfe743999fcc9b0528ea689f728eb92aee7" \
        io.openshift.build.source-location="https://github.com/openshift/configmap-reload" \
        io.openshift.build.commit.url="https://github.com/openshift/configmap-reload/commit/841b0bfe743999fcc9b0528ea689f728eb92aee7" \
        version="v4.3.29"

